<krpano>
<plugin name="soundinterface" url="../plugins/soundinterface.swf" preload="true" type="soundinterface" mute="true"/>
	<action name="addhospot" about="系统事件谨慎修改，用于动态添加热点">
	addhotspot(newspot);
  set(hotspot[newspot].url,skin\hot.png);
set(hotspot[newspot].ath,get('view.hlookat'));
set(hotspot[newspot].atv,get('view.vlookat'));
set(hotspot[newspot].width,68);
set(hotspot[newspot].height,68);
set(hotspot[newspot].usecontentsize,true);
	</action>
<action name="updatehospot" about="系统事件谨慎修改,更新添加的热点属性" >
tween(hotspot[newspot].ath,get('view.hlookat'));
tween(hotspot[newspot].atv,get('view.vlookat'));
set(update,hotspot[newspot]);
	</action>
  <action name="loadxml" about="系统事件谨慎修改,加载XML及设置属性">
    	set(plugin[%1].x,%3);
    	set(plugin[%1].y,%4);
    	set(plugin[radar].x,%3);
    	set(plugin[radar].y,%4);
	    loadpano(%2,null,KEEPALL,BLEND(2));
	    set(plugin[radar].heading,10);
    </action>	
        <action name="update_map_spot" about="系统事件谨慎修改,更新地图锚点">
		plugin[map].activatespot(%1);
		plugin[map].pantospot(%1);
	</action>

<action name="load_korfustadt_altefestung" about="系统事件谨慎修改更新地图锚点的状态">
		update_map_spot(%2);
		loadpano(%1, null, MERGE, BLEND(1));
	</action>

	<action name="load_korfustadt_altefestung_oben" about="系统事件谨慎修，改更新地图锚点的状态">
		update_map_spot(%2);
		loadpano(%1, null, MERGE, BLEND(1));
	</action>
		<action name="loadpano" about="系统事件谨慎修，改加载全景">
		loadpano(%SWFPATH%/%1, null, MERGE, BLEND(1));
	</action>
  <action name="menu_show" about="系统事件谨慎修，改显示隐藏插件">
	tween(plugin[menu].y,67,distance(700,3),linear);
	set(plugin[thumbnails].visible,true); 
	tween(plugin[thumbnails].y,0,distance(700,3),linear); 
</action>
  <action name="menu_hide" about="系统事件谨慎修改，隐藏插件">
	tween(plugin[menu].y,0,distance(700,3),linear);
	tween(plugin[thumbnails].y,-75,distance(700,3),linear);    
	tween(plugin[fullscreen].y,-75,distance(700,3),linear); 
</action>
  <action name="hide_onstart" about="隐藏图片列表"> 
	set(plugin[thumbnails].visible,false); 
	set(plugin[thumbnails].y,-67);
</action>
 <textstyle name="smalltext" font="Arial" fontsize="12" bold="false"  border="false"  background="false" textcolor="0x000000" alpha="1" textalign="bottom"  xoffset="" yoffset="" effect="glow(0xffffff,0.7,4,2);dropshadow(2,45,0xffffff,3,1);" />
 <action name="showpic" about="显示一张图片，点击图片后隐藏">addplugin(picmode);set(plugin[picmode].url,%1);set(plugin[picmode].enable,true);set(plugin[picmode].visible,true);set(plugin[picmode].align,center);set(plugin[picmode].zorder,100);
		tween(plugin[picmode].alpha, 1, 0.50);set(plugin[picmode].onclick,action(hidepic,picmode));</action>
  <action name="hidepic" about="隐藏图片">
		tween(plugin[%1].alpha, 0, 0.25 );removeplugin(%1);</action>
  <action name="closemap" about="关闭地形图"> set(onclick,action(openmap););
        tween(width,64,distance(320,0.5),easeoutquad);
        tween(height,45,distance(227,0.5),easeoutquad);</action>
  <action name="openmap" about="打开结构图">set(onclick,action(closemap););
        tween(width,320,distance(320,0.5),easeoutquad);
        tween(height,227,distance(227,0.5),easeoutquad);</action>
<action name="activatespot" about="关联地图锚点">
		copy(plugin[spotx].x, plugin[%1].x);
		copy(plugin[spotx].y, plugin[%1].y);
		copy(plugin[radar].x, plugin[%1].x);
		copy(plugin[radar].y, plugin[%1].y);
	 loadpano(%2,null,KEEPALL,BLEND(2));
set(plugin[radar].heading, 60);

	</action>
	</krpano>